import { createModuleProxy } from "../proxy";
export class ModuleContext {
    constructor(engineContext, moduleNamespace) {
        this.engineContext = engineContext;
        this.moduleNamespace = moduleNamespace;
    }
    get proxy() {
        if (!this.moduleProxy) {
            const proxy = this.engineContext.getProxy();
            const moduleNamespace = this.moduleNamespace;
            this.moduleProxy = createModuleProxy(proxy, moduleNamespace);
        }
        return this.moduleProxy;
    }
    createLogger(params) {
        return this.engineContext.createLogger(params);
    }
    createMetricRecorder(params) {
        return this.engineContext.createMetricRecorder(params);
    }
}
//# sourceMappingURL=module-context.js.map