export function createLogMessage({ level, source, message, loggerId, data }, context, messageOrigin) {
    // Sanitize guards against a caller provided data object containing a
    // non-cloneable object which will fail if sent through a message channel
    const sanitizedData = data
        ? JSON.parse(JSON.stringify(data))
        : undefined;
    return {
        type: "log",
        level,
        time: new Date(),
        source,
        message,
        loggerId,
        data: sanitizedData,
        context,
        messageOrigin,
    };
}
//# sourceMappingURL=log-message-factory.js.map