export function createModuleProxy(proxy, namespace) {
    return {
        request: (command, data) => proxy.request(namespace, command, data),
        subscribe: (topic, handler) => proxy.subscribe(Object.assign(Object.assign({}, topic), { namespace }), handler),
        unsubscribe: (topic, handler) => proxy.unsubscribe(Object.assign(Object.assign({}, topic), { namespace }), handler),
        getProxyInfo: () => ({
            connectionStatus: proxy.connectionStatus,
            proxyType: proxy.proxyType,
        }),
        onConnectionStatusChange: (h) => proxy.onConnectionStatusChange(h),
        offConnectionStatusChange: (h) => proxy.offConnectionStatusChange(h),
    };
}
//# sourceMappingURL=module-proxy-factory.js.map