export const clientTimeoutResponseErrorKey = "clientTimeout";
export function formatClientTimeoutError(request, timeoutMs) {
    const { namespace, command, data: requestData } = request;
    return {
        namespace,
        reason: "Client Timeout",
        details: {
            command,
            requestData,
            timeoutMs,
        },
        errorKey: clientTimeoutResponseErrorKey,
    };
}
// eslint-disable-next-line @typescript-eslint/no-explicit-any
export function isClientTimeoutResponseError(err) {
    return (
    // eslint-disable-next-line @typescript-eslint/no-unsafe-member-access
    typeof err === "object" && err.errorKey === clientTimeoutResponseErrorKey);
}
//# sourceMappingURL=client-timeout-error.js.map