import { EmitterBase } from "./emitter-base";
export class Emitter extends EmitterBase {
    emit(parameter) {
        for (const handler of this.getHandlers(parameter)) {
            try {
                handler();
            }
            catch (error) {
                this.logger.error("An error occurred when invoking handler", {
                    error,
                    parameter,
                });
            }
        }
    }
}
//# sourceMappingURL=emitter.js.map