import { EmitterBase } from "./emitter-base";
export class EventEmitter extends EmitterBase {
    emit(parameter, event) {
        const handlers = this.getHandlers(parameter);
        for (const handler of handlers) {
            try {
                handler(event);
            }
            catch (error) {
                this.logger.error("An error occurred when invoking event handler", {
                    error,
                    parameter,
                });
            }
        }
    }
}
//# sourceMappingURL=event-emitter.js.map