import { AmazonConnectNamespace } from "../amazon-connect-namespace";
import { ConnectLogger, ConnectLoggerFromContextParams } from "../logging";
import { ConnectMetricRecorder, ConnectMetricRecorderFromContextParams } from "../metric";
import { AmazonConnectProvider } from "../provider";
import { Proxy } from "../proxy";
import { ModuleContext } from "./module-context";
export declare class Context<TProvider extends AmazonConnectProvider = AmazonConnectProvider> {
    private readonly provider;
    constructor(provider?: TProvider);
    getProxy(): Proxy;
    getModuleContext(moduleNamespace: AmazonConnectNamespace): ModuleContext;
    getProvider(): TProvider;
    createLogger(params: ConnectLoggerFromContextParams): ConnectLogger;
    createMetricRecorder(params: ConnectMetricRecorderFromContextParams): ConnectMetricRecorder;
}
//# sourceMappingURL=context.d.ts.map