"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModuleContext = void 0;
const proxy_1 = require("../proxy");
class ModuleContext {
    constructor(engineContext, moduleNamespace) {
        this.engineContext = engineContext;
        this.moduleNamespace = moduleNamespace;
    }
    get proxy() {
        if (!this.moduleProxy) {
            const proxy = this.engineContext.getProxy();
            const moduleNamespace = this.moduleNamespace;
            this.moduleProxy = (0, proxy_1.createModuleProxy)(proxy, moduleNamespace);
        }
        return this.moduleProxy;
    }
    createLogger(params) {
        return this.engineContext.createLogger(params);
    }
    createMetricRecorder(params) {
        return this.engineContext.createMetricRecorder(params);
    }
}
exports.ModuleContext = ModuleContext;
//# sourceMappingURL=module-context.js.map