"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConnectError = void 0;
exports.isConnectError = isConnectError;
class ConnectError extends Error {
    constructor({ reason, namespace, errorKey, details, }) {
        super(`ConnectError with error key "${errorKey}"`);
        this.errorType = ConnectError.ErrorType;
        this.namespace = namespace;
        this.errorKey = errorKey;
        this.reason = reason;
        this.details = details !== null && details !== void 0 ? details : {};
    }
}
exports.ConnectError = ConnectError;
ConnectError.ErrorType = "ConnectError";
function isConnectError(error) {
    return Boolean(error instanceof ConnectError ||
        (error &&
            typeof error === "object" &&
            "errorType" in error &&
            error.errorType === ConnectError.ErrorType));
}
//# sourceMappingURL=connect-error.js.map