"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logToConsole = logToConsole;
const log_level_1 = require("./log-level");
function logToConsole(level, message, data) {
    if (data) {
        switch (level) {
            case log_level_1.LogLevel.error:
                console.error(message, data);
                break;
            case log_level_1.LogLevel.warn:
                console.warn(message, data);
                break;
            case log_level_1.LogLevel.info:
                console.info(message, data);
                break;
            case log_level_1.LogLevel.debug:
                console.debug(message, data);
                break;
            case log_level_1.LogLevel.trace:
                console.trace(message, data);
                break;
            default:
                console.log(message, data);
                break;
        }
    }
    else {
        switch (level) {
            case log_level_1.LogLevel.error:
                console.error(message);
                break;
            case log_level_1.LogLevel.warn:
                console.warn(message);
                break;
            case log_level_1.LogLevel.info:
                console.info(message);
                break;
            case log_level_1.LogLevel.debug:
                console.debug(message);
                break;
            case log_level_1.LogLevel.trace:
                console.trace(message);
                break;
            default:
                console.log(message);
                break;
        }
    }
}
//# sourceMappingURL=log-data-console-writer.js.map