"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setGlobalProvider = setGlobalProvider;
exports.resetGlobalProvider = resetGlobalProvider;
exports.getGlobalProvider = getGlobalProvider;
let _provider;
function setGlobalProvider(provider) {
    if (_provider)
        throw new Error("Global Provider is already set");
    _provider = provider;
}
function resetGlobalProvider(provider) {
    _provider = provider;
}
function getGlobalProvider(notSetMessage) {
    if (!_provider) {
        throw new Error(notSetMessage !== null && notSetMessage !== void 0 ? notSetMessage : "Attempted to get Global AmazonConnectProvider that has not been set.");
    }
    return _provider;
}
//# sourceMappingURL=global-provider.js.map