import { LogProvider } from "../logging";
import { ChildConnectionCloseMessage, ChildDownstreamMessage, ChildUpstreamMessage } from "../messaging";
type SetupPortParams = {
    connectionId: string;
    port: MessagePort;
    providerId: string;
};
export type AddChannelParams = SetupPortParams;
export type UpdateChannelPortParams = SetupPortParams;
export declare class ChannelManager {
    private readonly provider;
    private readonly relayChildUpstreamMessage;
    private readonly messagePorts;
    private readonly logger;
    constructor(provider: LogProvider, relayChildUpstreamMessage: (message: ChildUpstreamMessage) => void);
    addChannel(params: AddChannelParams): void;
    updateChannelPort(params: UpdateChannelPortParams): void;
    private setupPort;
    handleDownstreamMessage({ connectionId, message, targetProviderId, }: ChildDownstreamMessage): void;
    handleCloseMessage({ connectionId }: ChildConnectionCloseMessage): void;
    private createMessageHandler;
}
export {};
//# sourceMappingURL=channel-manager.d.ts.map