"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.clientTimeoutResponseErrorKey = void 0;
exports.formatClientTimeoutError = formatClientTimeoutError;
exports.isClientTimeoutResponseError = isClientTimeoutResponseError;
exports.clientTimeoutResponseErrorKey = "clientTimeout";
function formatClientTimeoutError(request, timeoutMs) {
    const { namespace, command, data: requestData } = request;
    return {
        namespace,
        reason: "Client Timeout",
        details: {
            command,
            requestData,
            timeoutMs,
        },
        errorKey: exports.clientTimeoutResponseErrorKey,
    };
}
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function isClientTimeoutResponseError(err) {
    return (
    // eslint-disable-next-line @typescript-eslint/no-unsafe-member-access
    typeof err === "object" && err.errorKey === exports.clientTimeoutResponseErrorKey);
}
//# sourceMappingURL=client-timeout-error.js.map