"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AsyncEventEmitter = void 0;
const emitter_base_1 = require("./emitter-base");
class AsyncEventEmitter extends emitter_base_1.EmitterBase {
    emit(parameter, event) {
        return __awaiter(this, void 0, void 0, function* () {
            const handlers = this.getHandlers(parameter);
            yield Promise.allSettled(handlers.map((handler) => __awaiter(this, void 0, void 0, function* () {
                try {
                    yield handler(event);
                }
                catch (error) {
                    this.logger.error("An error occurred when invoking event handler", {
                        error,
                        parameter,
                    });
                }
            })));
        });
    }
}
exports.AsyncEventEmitter = AsyncEventEmitter;
//# sourceMappingURL=async-event-emitter.js.map