"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Emitter = void 0;
const emitter_base_1 = require("./emitter-base");
class Emitter extends emitter_base_1.EmitterBase {
    emit(parameter) {
        for (const handler of this.getHandlers(parameter)) {
            try {
                handler();
            }
            catch (error) {
                this.logger.error("An error occurred when invoking handler", {
                    error,
                    parameter,
                });
            }
        }
    }
}
exports.Emitter = Emitter;
//# sourceMappingURL=emitter.js.map