"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventEmitter = void 0;
const emitter_base_1 = require("./emitter-base");
class EventEmitter extends emitter_base_1.EmitterBase {
    emit(parameter, event) {
        const handlers = this.getHandlers(parameter);
        for (const handler of handlers) {
            try {
                handler(event);
            }
            catch (error) {
                this.logger.error("An error occurred when invoking event handler", {
                    error,
                    parameter,
                });
            }
        }
    }
}
exports.EventEmitter = EventEmitter;
//# sourceMappingURL=event-emitter.js.map