export type TimeoutTrackerStatus = "running" | "completed" | "cancelled";
export type TimeoutTrackerCancelledEvent = {
    timeoutMs: number;
};
export type TimeoutTrackerCancelledHandler = (evt: TimeoutTrackerCancelledEvent) => void;
export declare class TimeoutTracker {
    readonly timeoutMs: number;
    private readonly onCancelled;
    private status;
    private readonly logger;
    private timeout;
    constructor(onCancelled: TimeoutTrackerCancelledHandler, timeoutMs: number);
    static start(onCancelled: TimeoutTrackerCancelledHandler, ms: number): TimeoutTracker;
    complete(): boolean;
    isCancelled(): boolean;
    getStatus(): TimeoutTrackerStatus;
    private handleCancel;
    private handleComplete;
    private invokeOnCancelled;
}
//# sourceMappingURL=timeout-tracker.d.ts.map